IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network243.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
243.232.0.0- Broadcast address
243.239.255.255- First usable
243.232.0.1- Last usable
243.239.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F3E80000· Integer4092067840to4092592127 - Reverse DNS zones
232.243.in-addr.arpa233.243.in-addr.arpa234.243.in-addr.arpa235.243.in-addr.arpa236.243.in-addr.arpa237.243.in-addr.arpa238.243.in-addr.arpa239.243.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110011.11101000.00000000.00000000 | 243.232.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11110011.11101000.00000000.00000000 | 243.232.0.0 |
| Broadcast | 11110011.11101111.11111111.11111111 | 243.239.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
243.232.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 243.232.0.0/23 | 243.232.0.1 to 243.232.1.254 | 243.232.1.255 | 510 |
| 2 | 243.232.2.0/23 | 243.232.2.1 to 243.232.3.254 | 243.232.3.255 | 510 |
| 3 | 243.232.4.0/23 | 243.232.4.1 to 243.232.5.254 | 243.232.5.255 | 510 |
| 4 | 243.232.6.0/23 | 243.232.6.1 to 243.232.7.254 | 243.232.7.255 | 510 |
| 5 | 243.232.8.0/23 | 243.232.8.1 to 243.232.9.254 | 243.232.9.255 | 510 |
| 6 | 243.232.10.0/23 | 243.232.10.1 to 243.232.11.254 | 243.232.11.255 | 510 |
| 7 | 243.232.12.0/23 | 243.232.12.1 to 243.232.13.254 | 243.232.13.255 | 510 |
| 8 | 243.232.14.0/23 | 243.232.14.1 to 243.232.15.254 | 243.232.15.255 | 510 |
| 9 | 243.232.16.0/23 | 243.232.16.1 to 243.232.17.254 | 243.232.17.255 | 510 |
| 10 | 243.232.18.0/23 | 243.232.18.1 to 243.232.19.254 | 243.232.19.255 | 510 |
| 11 | 243.232.20.0/23 | 243.232.20.1 to 243.232.21.254 | 243.232.21.255 | 510 |
| 12 | 243.232.22.0/23 | 243.232.22.1 to 243.232.23.254 | 243.232.23.255 | 510 |
| 13 | 243.232.24.0/23 | 243.232.24.1 to 243.232.25.254 | 243.232.25.255 | 510 |
| 14 | 243.232.26.0/23 | 243.232.26.1 to 243.232.27.254 | 243.232.27.255 | 510 |
| 15 | 243.232.28.0/23 | 243.232.28.1 to 243.232.29.254 | 243.232.29.255 | 510 |
| 16 | 243.232.30.0/23 | 243.232.30.1 to 243.232.31.254 | 243.232.31.255 | 510 |
| 17 | 243.232.32.0/23 | 243.232.32.1 to 243.232.33.254 | 243.232.33.255 | 510 |
| 18 | 243.232.34.0/23 | 243.232.34.1 to 243.232.35.254 | 243.232.35.255 | 510 |
| 19 | 243.232.36.0/23 | 243.232.36.1 to 243.232.37.254 | 243.232.37.255 | 510 |
| 20 | 243.232.38.0/23 | 243.232.38.1 to 243.232.39.254 | 243.232.39.255 | 510 |
| 21 | 243.232.40.0/23 | 243.232.40.1 to 243.232.41.254 | 243.232.41.255 | 510 |
| 22 | 243.232.42.0/23 | 243.232.42.1 to 243.232.43.254 | 243.232.43.255 | 510 |
| 23 | 243.232.44.0/23 | 243.232.44.1 to 243.232.45.254 | 243.232.45.255 | 510 |
| 24 | 243.232.46.0/23 | 243.232.46.1 to 243.232.47.254 | 243.232.47.255 | 510 |
| 25 | 243.232.48.0/23 | 243.232.48.1 to 243.232.49.254 | 243.232.49.255 | 510 |
| 26 | 243.232.50.0/23 | 243.232.50.1 to 243.232.51.254 | 243.232.51.255 | 510 |
| 27 | 243.232.52.0/23 | 243.232.52.1 to 243.232.53.254 | 243.232.53.255 | 510 |
| 28 | 243.232.54.0/23 | 243.232.54.1 to 243.232.55.254 | 243.232.55.255 | 510 |
| 29 | 243.232.56.0/23 | 243.232.56.1 to 243.232.57.254 | 243.232.57.255 | 510 |
| 30 | 243.232.58.0/23 | 243.232.58.1 to 243.232.59.254 | 243.232.59.255 | 510 |
| 31 | 243.232.60.0/23 | 243.232.60.1 to 243.232.61.254 | 243.232.61.255 | 510 |
| 32 | 243.232.62.0/23 | 243.232.62.1 to 243.232.63.254 | 243.232.63.255 | 510 |
| 33 | 243.232.64.0/23 | 243.232.64.1 to 243.232.65.254 | 243.232.65.255 | 510 |
| 34 | 243.232.66.0/23 | 243.232.66.1 to 243.232.67.254 | 243.232.67.255 | 510 |
| 35 | 243.232.68.0/23 | 243.232.68.1 to 243.232.69.254 | 243.232.69.255 | 510 |
| 36 | 243.232.70.0/23 | 243.232.70.1 to 243.232.71.254 | 243.232.71.255 | 510 |
| 37 | 243.232.72.0/23 | 243.232.72.1 to 243.232.73.254 | 243.232.73.255 | 510 |
| 38 | 243.232.74.0/23 | 243.232.74.1 to 243.232.75.254 | 243.232.75.255 | 510 |
| 39 | 243.232.76.0/23 | 243.232.76.1 to 243.232.77.254 | 243.232.77.255 | 510 |
| 40 | 243.232.78.0/23 | 243.232.78.1 to 243.232.79.254 | 243.232.79.255 | 510 |
| 41 | 243.232.80.0/23 | 243.232.80.1 to 243.232.81.254 | 243.232.81.255 | 510 |
| 42 | 243.232.82.0/23 | 243.232.82.1 to 243.232.83.254 | 243.232.83.255 | 510 |
| 43 | 243.232.84.0/23 | 243.232.84.1 to 243.232.85.254 | 243.232.85.255 | 510 |
| 44 | 243.232.86.0/23 | 243.232.86.1 to 243.232.87.254 | 243.232.87.255 | 510 |
| 45 | 243.232.88.0/23 | 243.232.88.1 to 243.232.89.254 | 243.232.89.255 | 510 |
| 46 | 243.232.90.0/23 | 243.232.90.1 to 243.232.91.254 | 243.232.91.255 | 510 |
| 47 | 243.232.92.0/23 | 243.232.92.1 to 243.232.93.254 | 243.232.93.255 | 510 |
| 48 | 243.232.94.0/23 | 243.232.94.1 to 243.232.95.254 | 243.232.95.255 | 510 |
| 49 | 243.232.96.0/23 | 243.232.96.1 to 243.232.97.254 | 243.232.97.255 | 510 |
| 50 | 243.232.98.0/23 | 243.232.98.1 to 243.232.99.254 | 243.232.99.255 | 510 |
| 51 | 243.232.100.0/23 | 243.232.100.1 to 243.232.101.254 | 243.232.101.255 | 510 |
| 52 | 243.232.102.0/23 | 243.232.102.1 to 243.232.103.254 | 243.232.103.255 | 510 |
| 53 | 243.232.104.0/23 | 243.232.104.1 to 243.232.105.254 | 243.232.105.255 | 510 |
| 54 | 243.232.106.0/23 | 243.232.106.1 to 243.232.107.254 | 243.232.107.255 | 510 |
| 55 | 243.232.108.0/23 | 243.232.108.1 to 243.232.109.254 | 243.232.109.255 | 510 |
| 56 | 243.232.110.0/23 | 243.232.110.1 to 243.232.111.254 | 243.232.111.255 | 510 |
| 57 | 243.232.112.0/23 | 243.232.112.1 to 243.232.113.254 | 243.232.113.255 | 510 |
| 58 | 243.232.114.0/23 | 243.232.114.1 to 243.232.115.254 | 243.232.115.255 | 510 |
| 59 | 243.232.116.0/23 | 243.232.116.1 to 243.232.117.254 | 243.232.117.255 | 510 |
| 60 | 243.232.118.0/23 | 243.232.118.1 to 243.232.119.254 | 243.232.119.255 | 510 |
| 61 | 243.232.120.0/23 | 243.232.120.1 to 243.232.121.254 | 243.232.121.255 | 510 |
| 62 | 243.232.122.0/23 | 243.232.122.1 to 243.232.123.254 | 243.232.123.255 | 510 |
| 63 | 243.232.124.0/23 | 243.232.124.1 to 243.232.125.254 | 243.232.125.255 | 510 |
| 64 | 243.232.126.0/23 | 243.232.126.1 to 243.232.127.254 | 243.232.127.255 | 510 |
| 65 | 243.232.128.0/23 | 243.232.128.1 to 243.232.129.254 | 243.232.129.255 | 510 |
| 66 | 243.232.130.0/23 | 243.232.130.1 to 243.232.131.254 | 243.232.131.255 | 510 |
| 67 | 243.232.132.0/23 | 243.232.132.1 to 243.232.133.254 | 243.232.133.255 | 510 |
| 68 | 243.232.134.0/23 | 243.232.134.1 to 243.232.135.254 | 243.232.135.255 | 510 |
| 69 | 243.232.136.0/23 | 243.232.136.1 to 243.232.137.254 | 243.232.137.255 | 510 |
| 70 | 243.232.138.0/23 | 243.232.138.1 to 243.232.139.254 | 243.232.139.255 | 510 |
| 71 | 243.232.140.0/23 | 243.232.140.1 to 243.232.141.254 | 243.232.141.255 | 510 |
| 72 | 243.232.142.0/23 | 243.232.142.1 to 243.232.143.254 | 243.232.143.255 | 510 |
| 73 | 243.232.144.0/23 | 243.232.144.1 to 243.232.145.254 | 243.232.145.255 | 510 |
| 74 | 243.232.146.0/23 | 243.232.146.1 to 243.232.147.254 | 243.232.147.255 | 510 |
| 75 | 243.232.148.0/23 | 243.232.148.1 to 243.232.149.254 | 243.232.149.255 | 510 |
| 76 | 243.232.150.0/23 | 243.232.150.1 to 243.232.151.254 | 243.232.151.255 | 510 |
| 77 | 243.232.152.0/23 | 243.232.152.1 to 243.232.153.254 | 243.232.153.255 | 510 |
| 78 | 243.232.154.0/23 | 243.232.154.1 to 243.232.155.254 | 243.232.155.255 | 510 |
| 79 | 243.232.156.0/23 | 243.232.156.1 to 243.232.157.254 | 243.232.157.255 | 510 |
| 80 | 243.232.158.0/23 | 243.232.158.1 to 243.232.159.254 | 243.232.159.255 | 510 |
| 81 | 243.232.160.0/23 | 243.232.160.1 to 243.232.161.254 | 243.232.161.255 | 510 |
| 82 | 243.232.162.0/23 | 243.232.162.1 to 243.232.163.254 | 243.232.163.255 | 510 |
| 83 | 243.232.164.0/23 | 243.232.164.1 to 243.232.165.254 | 243.232.165.255 | 510 |
| 84 | 243.232.166.0/23 | 243.232.166.1 to 243.232.167.254 | 243.232.167.255 | 510 |
| 85 | 243.232.168.0/23 | 243.232.168.1 to 243.232.169.254 | 243.232.169.255 | 510 |
| 86 | 243.232.170.0/23 | 243.232.170.1 to 243.232.171.254 | 243.232.171.255 | 510 |
| 87 | 243.232.172.0/23 | 243.232.172.1 to 243.232.173.254 | 243.232.173.255 | 510 |
| 88 | 243.232.174.0/23 | 243.232.174.1 to 243.232.175.254 | 243.232.175.255 | 510 |
| 89 | 243.232.176.0/23 | 243.232.176.1 to 243.232.177.254 | 243.232.177.255 | 510 |
| 90 | 243.232.178.0/23 | 243.232.178.1 to 243.232.179.254 | 243.232.179.255 | 510 |
| 91 | 243.232.180.0/23 | 243.232.180.1 to 243.232.181.254 | 243.232.181.255 | 510 |
| 92 | 243.232.182.0/23 | 243.232.182.1 to 243.232.183.254 | 243.232.183.255 | 510 |
| 93 | 243.232.184.0/23 | 243.232.184.1 to 243.232.185.254 | 243.232.185.255 | 510 |
| 94 | 243.232.186.0/23 | 243.232.186.1 to 243.232.187.254 | 243.232.187.255 | 510 |
| 95 | 243.232.188.0/23 | 243.232.188.1 to 243.232.189.254 | 243.232.189.255 | 510 |
| 96 | 243.232.190.0/23 | 243.232.190.1 to 243.232.191.254 | 243.232.191.255 | 510 |
| 97 | 243.232.192.0/23 | 243.232.192.1 to 243.232.193.254 | 243.232.193.255 | 510 |
| 98 | 243.232.194.0/23 | 243.232.194.1 to 243.232.195.254 | 243.232.195.255 | 510 |
| 99 | 243.232.196.0/23 | 243.232.196.1 to 243.232.197.254 | 243.232.197.255 | 510 |
| 100 | 243.232.198.0/23 | 243.232.198.1 to 243.232.199.254 | 243.232.199.255 | 510 |
| 101 | 243.232.200.0/23 | 243.232.200.1 to 243.232.201.254 | 243.232.201.255 | 510 |
| 102 | 243.232.202.0/23 | 243.232.202.1 to 243.232.203.254 | 243.232.203.255 | 510 |
| 103 | 243.232.204.0/23 | 243.232.204.1 to 243.232.205.254 | 243.232.205.255 | 510 |
| 104 | 243.232.206.0/23 | 243.232.206.1 to 243.232.207.254 | 243.232.207.255 | 510 |
| 105 | 243.232.208.0/23 | 243.232.208.1 to 243.232.209.254 | 243.232.209.255 | 510 |
| 106 | 243.232.210.0/23 | 243.232.210.1 to 243.232.211.254 | 243.232.211.255 | 510 |
| 107 | 243.232.212.0/23 | 243.232.212.1 to 243.232.213.254 | 243.232.213.255 | 510 |
| 108 | 243.232.214.0/23 | 243.232.214.1 to 243.232.215.254 | 243.232.215.255 | 510 |
| 109 | 243.232.216.0/23 | 243.232.216.1 to 243.232.217.254 | 243.232.217.255 | 510 |
| 110 | 243.232.218.0/23 | 243.232.218.1 to 243.232.219.254 | 243.232.219.255 | 510 |
| 111 | 243.232.220.0/23 | 243.232.220.1 to 243.232.221.254 | 243.232.221.255 | 510 |
| 112 | 243.232.222.0/23 | 243.232.222.1 to 243.232.223.254 | 243.232.223.255 | 510 |
| 113 | 243.232.224.0/23 | 243.232.224.1 to 243.232.225.254 | 243.232.225.255 | 510 |
| 114 | 243.232.226.0/23 | 243.232.226.1 to 243.232.227.254 | 243.232.227.255 | 510 |
| 115 | 243.232.228.0/23 | 243.232.228.1 to 243.232.229.254 | 243.232.229.255 | 510 |
| 116 | 243.232.230.0/23 | 243.232.230.1 to 243.232.231.254 | 243.232.231.255 | 510 |
| 117 | 243.232.232.0/23 | 243.232.232.1 to 243.232.233.254 | 243.232.233.255 | 510 |
| 118 | 243.232.234.0/23 | 243.232.234.1 to 243.232.235.254 | 243.232.235.255 | 510 |
| 119 | 243.232.236.0/23 | 243.232.236.1 to 243.232.237.254 | 243.232.237.255 | 510 |
| 120 | 243.232.238.0/23 | 243.232.238.1 to 243.232.239.254 | 243.232.239.255 | 510 |
| 121 | 243.232.240.0/23 | 243.232.240.1 to 243.232.241.254 | 243.232.241.255 | 510 |
| 122 | 243.232.242.0/23 | 243.232.242.1 to 243.232.243.254 | 243.232.243.255 | 510 |
| 123 | 243.232.244.0/23 | 243.232.244.1 to 243.232.245.254 | 243.232.245.255 | 510 |
| 124 | 243.232.246.0/23 | 243.232.246.1 to 243.232.247.254 | 243.232.247.255 | 510 |
| 125 | 243.232.248.0/23 | 243.232.248.1 to 243.232.249.254 | 243.232.249.255 | 510 |
| 126 | 243.232.250.0/23 | 243.232.250.1 to 243.232.251.254 | 243.232.251.255 | 510 |
| 127 | 243.232.252.0/23 | 243.232.252.1 to 243.232.253.254 | 243.232.253.255 | 510 |
| 128 | 243.232.254.0/23 | 243.232.254.1 to 243.232.255.254 | 243.232.255.255 | 510 |
| 129 | 243.233.0.0/23 | 243.233.0.1 to 243.233.1.254 | 243.233.1.255 | 510 |
| 130 | 243.233.2.0/23 | 243.233.2.1 to 243.233.3.254 | 243.233.3.255 | 510 |
| 131 | 243.233.4.0/23 | 243.233.4.1 to 243.233.5.254 | 243.233.5.255 | 510 |
| 132 | 243.233.6.0/23 | 243.233.6.1 to 243.233.7.254 | 243.233.7.255 | 510 |
| 133 | 243.233.8.0/23 | 243.233.8.1 to 243.233.9.254 | 243.233.9.255 | 510 |
| 134 | 243.233.10.0/23 | 243.233.10.1 to 243.233.11.254 | 243.233.11.255 | 510 |
| 135 | 243.233.12.0/23 | 243.233.12.1 to 243.233.13.254 | 243.233.13.255 | 510 |
| 136 | 243.233.14.0/23 | 243.233.14.1 to 243.233.15.254 | 243.233.15.255 | 510 |
| 137 | 243.233.16.0/23 | 243.233.16.1 to 243.233.17.254 | 243.233.17.255 | 510 |
| 138 | 243.233.18.0/23 | 243.233.18.1 to 243.233.19.254 | 243.233.19.255 | 510 |
| 139 | 243.233.20.0/23 | 243.233.20.1 to 243.233.21.254 | 243.233.21.255 | 510 |
| 140 | 243.233.22.0/23 | 243.233.22.1 to 243.233.23.254 | 243.233.23.255 | 510 |
| 141 | 243.233.24.0/23 | 243.233.24.1 to 243.233.25.254 | 243.233.25.255 | 510 |
| 142 | 243.233.26.0/23 | 243.233.26.1 to 243.233.27.254 | 243.233.27.255 | 510 |
| 143 | 243.233.28.0/23 | 243.233.28.1 to 243.233.29.254 | 243.233.29.255 | 510 |
| 144 | 243.233.30.0/23 | 243.233.30.1 to 243.233.31.254 | 243.233.31.255 | 510 |
| 145 | 243.233.32.0/23 | 243.233.32.1 to 243.233.33.254 | 243.233.33.255 | 510 |
| 146 | 243.233.34.0/23 | 243.233.34.1 to 243.233.35.254 | 243.233.35.255 | 510 |
| 147 | 243.233.36.0/23 | 243.233.36.1 to 243.233.37.254 | 243.233.37.255 | 510 |
| 148 | 243.233.38.0/23 | 243.233.38.1 to 243.233.39.254 | 243.233.39.255 | 510 |
| 149 | 243.233.40.0/23 | 243.233.40.1 to 243.233.41.254 | 243.233.41.255 | 510 |
| 150 | 243.233.42.0/23 | 243.233.42.1 to 243.233.43.254 | 243.233.43.255 | 510 |
| 151 | 243.233.44.0/23 | 243.233.44.1 to 243.233.45.254 | 243.233.45.255 | 510 |
| 152 | 243.233.46.0/23 | 243.233.46.1 to 243.233.47.254 | 243.233.47.255 | 510 |
| 153 | 243.233.48.0/23 | 243.233.48.1 to 243.233.49.254 | 243.233.49.255 | 510 |
| 154 | 243.233.50.0/23 | 243.233.50.1 to 243.233.51.254 | 243.233.51.255 | 510 |
| 155 | 243.233.52.0/23 | 243.233.52.1 to 243.233.53.254 | 243.233.53.255 | 510 |
| 156 | 243.233.54.0/23 | 243.233.54.1 to 243.233.55.254 | 243.233.55.255 | 510 |
| 157 | 243.233.56.0/23 | 243.233.56.1 to 243.233.57.254 | 243.233.57.255 | 510 |
| 158 | 243.233.58.0/23 | 243.233.58.1 to 243.233.59.254 | 243.233.59.255 | 510 |
| 159 | 243.233.60.0/23 | 243.233.60.1 to 243.233.61.254 | 243.233.61.255 | 510 |
| 160 | 243.233.62.0/23 | 243.233.62.1 to 243.233.63.254 | 243.233.63.255 | 510 |
| 161 | 243.233.64.0/23 | 243.233.64.1 to 243.233.65.254 | 243.233.65.255 | 510 |
| 162 | 243.233.66.0/23 | 243.233.66.1 to 243.233.67.254 | 243.233.67.255 | 510 |
| 163 | 243.233.68.0/23 | 243.233.68.1 to 243.233.69.254 | 243.233.69.255 | 510 |
| 164 | 243.233.70.0/23 | 243.233.70.1 to 243.233.71.254 | 243.233.71.255 | 510 |
| 165 | 243.233.72.0/23 | 243.233.72.1 to 243.233.73.254 | 243.233.73.255 | 510 |
| 166 | 243.233.74.0/23 | 243.233.74.1 to 243.233.75.254 | 243.233.75.255 | 510 |
| 167 | 243.233.76.0/23 | 243.233.76.1 to 243.233.77.254 | 243.233.77.255 | 510 |
| 168 | 243.233.78.0/23 | 243.233.78.1 to 243.233.79.254 | 243.233.79.255 | 510 |
| 169 | 243.233.80.0/23 | 243.233.80.1 to 243.233.81.254 | 243.233.81.255 | 510 |
| 170 | 243.233.82.0/23 | 243.233.82.1 to 243.233.83.254 | 243.233.83.255 | 510 |
| 171 | 243.233.84.0/23 | 243.233.84.1 to 243.233.85.254 | 243.233.85.255 | 510 |
| 172 | 243.233.86.0/23 | 243.233.86.1 to 243.233.87.254 | 243.233.87.255 | 510 |
| 173 | 243.233.88.0/23 | 243.233.88.1 to 243.233.89.254 | 243.233.89.255 | 510 |
| 174 | 243.233.90.0/23 | 243.233.90.1 to 243.233.91.254 | 243.233.91.255 | 510 |
| 175 | 243.233.92.0/23 | 243.233.92.1 to 243.233.93.254 | 243.233.93.255 | 510 |
| 176 | 243.233.94.0/23 | 243.233.94.1 to 243.233.95.254 | 243.233.95.255 | 510 |
| 177 | 243.233.96.0/23 | 243.233.96.1 to 243.233.97.254 | 243.233.97.255 | 510 |
| 178 | 243.233.98.0/23 | 243.233.98.1 to 243.233.99.254 | 243.233.99.255 | 510 |
| 179 | 243.233.100.0/23 | 243.233.100.1 to 243.233.101.254 | 243.233.101.255 | 510 |
| 180 | 243.233.102.0/23 | 243.233.102.1 to 243.233.103.254 | 243.233.103.255 | 510 |
| 181 | 243.233.104.0/23 | 243.233.104.1 to 243.233.105.254 | 243.233.105.255 | 510 |
| 182 | 243.233.106.0/23 | 243.233.106.1 to 243.233.107.254 | 243.233.107.255 | 510 |
| 183 | 243.233.108.0/23 | 243.233.108.1 to 243.233.109.254 | 243.233.109.255 | 510 |
| 184 | 243.233.110.0/23 | 243.233.110.1 to 243.233.111.254 | 243.233.111.255 | 510 |
| 185 | 243.233.112.0/23 | 243.233.112.1 to 243.233.113.254 | 243.233.113.255 | 510 |
| 186 | 243.233.114.0/23 | 243.233.114.1 to 243.233.115.254 | 243.233.115.255 | 510 |
| 187 | 243.233.116.0/23 | 243.233.116.1 to 243.233.117.254 | 243.233.117.255 | 510 |
| 188 | 243.233.118.0/23 | 243.233.118.1 to 243.233.119.254 | 243.233.119.255 | 510 |
| 189 | 243.233.120.0/23 | 243.233.120.1 to 243.233.121.254 | 243.233.121.255 | 510 |
| 190 | 243.233.122.0/23 | 243.233.122.1 to 243.233.123.254 | 243.233.123.255 | 510 |
| 191 | 243.233.124.0/23 | 243.233.124.1 to 243.233.125.254 | 243.233.125.255 | 510 |
| 192 | 243.233.126.0/23 | 243.233.126.1 to 243.233.127.254 | 243.233.127.255 | 510 |
| 193 | 243.233.128.0/23 | 243.233.128.1 to 243.233.129.254 | 243.233.129.255 | 510 |
| 194 | 243.233.130.0/23 | 243.233.130.1 to 243.233.131.254 | 243.233.131.255 | 510 |
| 195 | 243.233.132.0/23 | 243.233.132.1 to 243.233.133.254 | 243.233.133.255 | 510 |
| 196 | 243.233.134.0/23 | 243.233.134.1 to 243.233.135.254 | 243.233.135.255 | 510 |
| 197 | 243.233.136.0/23 | 243.233.136.1 to 243.233.137.254 | 243.233.137.255 | 510 |
| 198 | 243.233.138.0/23 | 243.233.138.1 to 243.233.139.254 | 243.233.139.255 | 510 |
| 199 | 243.233.140.0/23 | 243.233.140.1 to 243.233.141.254 | 243.233.141.255 | 510 |
| 200 | 243.233.142.0/23 | 243.233.142.1 to 243.233.143.254 | 243.233.143.255 | 510 |
| 201 | 243.233.144.0/23 | 243.233.144.1 to 243.233.145.254 | 243.233.145.255 | 510 |
| 202 | 243.233.146.0/23 | 243.233.146.1 to 243.233.147.254 | 243.233.147.255 | 510 |
| 203 | 243.233.148.0/23 | 243.233.148.1 to 243.233.149.254 | 243.233.149.255 | 510 |
| 204 | 243.233.150.0/23 | 243.233.150.1 to 243.233.151.254 | 243.233.151.255 | 510 |
| 205 | 243.233.152.0/23 | 243.233.152.1 to 243.233.153.254 | 243.233.153.255 | 510 |
| 206 | 243.233.154.0/23 | 243.233.154.1 to 243.233.155.254 | 243.233.155.255 | 510 |
| 207 | 243.233.156.0/23 | 243.233.156.1 to 243.233.157.254 | 243.233.157.255 | 510 |
| 208 | 243.233.158.0/23 | 243.233.158.1 to 243.233.159.254 | 243.233.159.255 | 510 |
| 209 | 243.233.160.0/23 | 243.233.160.1 to 243.233.161.254 | 243.233.161.255 | 510 |
| 210 | 243.233.162.0/23 | 243.233.162.1 to 243.233.163.254 | 243.233.163.255 | 510 |
| 211 | 243.233.164.0/23 | 243.233.164.1 to 243.233.165.254 | 243.233.165.255 | 510 |
| 212 | 243.233.166.0/23 | 243.233.166.1 to 243.233.167.254 | 243.233.167.255 | 510 |
| 213 | 243.233.168.0/23 | 243.233.168.1 to 243.233.169.254 | 243.233.169.255 | 510 |
| 214 | 243.233.170.0/23 | 243.233.170.1 to 243.233.171.254 | 243.233.171.255 | 510 |
| 215 | 243.233.172.0/23 | 243.233.172.1 to 243.233.173.254 | 243.233.173.255 | 510 |
| 216 | 243.233.174.0/23 | 243.233.174.1 to 243.233.175.254 | 243.233.175.255 | 510 |
| 217 | 243.233.176.0/23 | 243.233.176.1 to 243.233.177.254 | 243.233.177.255 | 510 |
| 218 | 243.233.178.0/23 | 243.233.178.1 to 243.233.179.254 | 243.233.179.255 | 510 |
| 219 | 243.233.180.0/23 | 243.233.180.1 to 243.233.181.254 | 243.233.181.255 | 510 |
| 220 | 243.233.182.0/23 | 243.233.182.1 to 243.233.183.254 | 243.233.183.255 | 510 |
| 221 | 243.233.184.0/23 | 243.233.184.1 to 243.233.185.254 | 243.233.185.255 | 510 |
| 222 | 243.233.186.0/23 | 243.233.186.1 to 243.233.187.254 | 243.233.187.255 | 510 |
| 223 | 243.233.188.0/23 | 243.233.188.1 to 243.233.189.254 | 243.233.189.255 | 510 |
| 224 | 243.233.190.0/23 | 243.233.190.1 to 243.233.191.254 | 243.233.191.255 | 510 |
| 225 | 243.233.192.0/23 | 243.233.192.1 to 243.233.193.254 | 243.233.193.255 | 510 |
| 226 | 243.233.194.0/23 | 243.233.194.1 to 243.233.195.254 | 243.233.195.255 | 510 |
| 227 | 243.233.196.0/23 | 243.233.196.1 to 243.233.197.254 | 243.233.197.255 | 510 |
| 228 | 243.233.198.0/23 | 243.233.198.1 to 243.233.199.254 | 243.233.199.255 | 510 |
| 229 | 243.233.200.0/23 | 243.233.200.1 to 243.233.201.254 | 243.233.201.255 | 510 |
| 230 | 243.233.202.0/23 | 243.233.202.1 to 243.233.203.254 | 243.233.203.255 | 510 |
| 231 | 243.233.204.0/23 | 243.233.204.1 to 243.233.205.254 | 243.233.205.255 | 510 |
| 232 | 243.233.206.0/23 | 243.233.206.1 to 243.233.207.254 | 243.233.207.255 | 510 |
| 233 | 243.233.208.0/23 | 243.233.208.1 to 243.233.209.254 | 243.233.209.255 | 510 |
| 234 | 243.233.210.0/23 | 243.233.210.1 to 243.233.211.254 | 243.233.211.255 | 510 |
| 235 | 243.233.212.0/23 | 243.233.212.1 to 243.233.213.254 | 243.233.213.255 | 510 |
| 236 | 243.233.214.0/23 | 243.233.214.1 to 243.233.215.254 | 243.233.215.255 | 510 |
| 237 | 243.233.216.0/23 | 243.233.216.1 to 243.233.217.254 | 243.233.217.255 | 510 |
| 238 | 243.233.218.0/23 | 243.233.218.1 to 243.233.219.254 | 243.233.219.255 | 510 |
| 239 | 243.233.220.0/23 | 243.233.220.1 to 243.233.221.254 | 243.233.221.255 | 510 |
| 240 | 243.233.222.0/23 | 243.233.222.1 to 243.233.223.254 | 243.233.223.255 | 510 |
| 241 | 243.233.224.0/23 | 243.233.224.1 to 243.233.225.254 | 243.233.225.255 | 510 |
| 242 | 243.233.226.0/23 | 243.233.226.1 to 243.233.227.254 | 243.233.227.255 | 510 |
| 243 | 243.233.228.0/23 | 243.233.228.1 to 243.233.229.254 | 243.233.229.255 | 510 |
| 244 | 243.233.230.0/23 | 243.233.230.1 to 243.233.231.254 | 243.233.231.255 | 510 |
| 245 | 243.233.232.0/23 | 243.233.232.1 to 243.233.233.254 | 243.233.233.255 | 510 |
| 246 | 243.233.234.0/23 | 243.233.234.1 to 243.233.235.254 | 243.233.235.255 | 510 |
| 247 | 243.233.236.0/23 | 243.233.236.1 to 243.233.237.254 | 243.233.237.255 | 510 |
| 248 | 243.233.238.0/23 | 243.233.238.1 to 243.233.239.254 | 243.233.239.255 | 510 |
| 249 | 243.233.240.0/23 | 243.233.240.1 to 243.233.241.254 | 243.233.241.255 | 510 |
| 250 | 243.233.242.0/23 | 243.233.242.1 to 243.233.243.254 | 243.233.243.255 | 510 |
| 251 | 243.233.244.0/23 | 243.233.244.1 to 243.233.245.254 | 243.233.245.255 | 510 |
| 252 | 243.233.246.0/23 | 243.233.246.1 to 243.233.247.254 | 243.233.247.255 | 510 |
| 253 | 243.233.248.0/23 | 243.233.248.1 to 243.233.249.254 | 243.233.249.255 | 510 |
| 254 | 243.233.250.0/23 | 243.233.250.1 to 243.233.251.254 | 243.233.251.255 | 510 |
| 255 | 243.233.252.0/23 | 243.233.252.1 to 243.233.253.254 | 243.233.253.255 | 510 |
| 256 | 243.233.254.0/23 | 243.233.254.1 to 243.233.255.254 | 243.233.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |